Package com.collabnet.ce.soap60.webservices.discussion

# Class PostSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
com.collabnet.ce.soap60.webservices.discussion.PostSoapDO

public class PostSoapDO extends ItemSoapDO
This class represents a discussion post within a specific forum, under a specific topic.
Change History
Release: 4.1

- No changes.

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PostSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContent()`
  Returns 'content'.
  `String`
  `getReplyToId()`
  Returns 'replyToId'.
  `String`
  `getStatus()`
  Returns 'status'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setContent(String content)`
  Sets 'content'.
  `void`
  `setReplyToId(String replyToId)`
  Sets 'replyToId'.
  `void`
  `setStatus(String status)`
  Sets 'status'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PostSoapDO

    public PostSoapDO()

- ## Method Details

  - ### getContent

    public String getContent()
    Returns 'content'. Discussion post contents.
    Returns:
      Value of 'content'.

  - ### setContent

    public void setContent(String content)
    Sets 'content'. Discussion post contents.
    Parameters:
      `content` - Value of 'content'.

  - ### getReplyToId

    public String getReplyToId()
    Returns 'replyToId'. Id of the original post to which this is a reply.
    Returns:
      Value of 'replyToId'.

  - ### setReplyToId

    public void setReplyToId(String replyToId)
    Sets 'replyToId'. Id of the original post to which this is a reply.
    Parameters:
      `replyToId` - Value of 'replyToId'.

  - ### getStatus

    public String getStatus()
    Returns 'status'. Status of the post indicating whether it is authorized or not. 'A' indicates the post is approved and 'W' indicates the post is waiting for approval
    Returns:
      Value of 'status'.

  - ### setStatus

    public void setStatus(String status)
    Sets 'status'. Status of the post indicating whether it is authorized or not. 'A' indicates the post is approved and 'W' indicates the post is waiting for approval
    Parameters:
      `status` - Value of 'status'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)